GNU Radio 2.x: gr_clock_recovery_mm_ff Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# gr_clock_recovery_mm_ff Class Reference
[Signal Processing Blocks]

`#include <gr_clock_recovery_mm_ff.h>`

Inheritance diagram for gr_clock_recovery_mm_ff:

[legend]
Collaboration diagram for gr_clock_recovery_mm_ff:

[legend]
List of all members.

## Detailed Description

Mueller and Müller (M&M) based clock recovery block with float input, float output.

This implements the Mueller and Müller (M&M) discrete-time error-tracking synchronizer.

See "Digital Communication Receivers: Synchronization, Channel Estimation and Signal Processing" by Heinrich Meyr, Marc Moeneclaey, & Stefan Fechtel. ISBN 0-471-50275-8.

## Public Member Functions
| ~gr_clock_recovery_mm_ff ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
| Estimate input requirements given output request.
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
| compute output items from input items
float | mu () const
float | omega () const
float | gain_mu () const
float | gain_omega () const
void | set_gain_mu (float gain_mu)
void | set_gain_omega (float gain_omega)
void | set_mu (float mu)
void | set_omega (float omega)
## Protected Member Functions
| gr_clock_recovery_mm_ff (float omega, float gain_omega, float mu, float gain_mu, float omega_relative_limit)
## Friends
gr_clock_recovery_mm_ff_sptr | gr_make_clock_recovery_mm_ff (float omega, float gain_omega, float mu, float gain_mu, float omega_relative_limit)

## Constructor & Destructor Documentation

gr_clock_recovery_mm_ff::~gr_clock_recovery_mm_ff | ( |  | ) |

gr_clock_recovery_mm_ff::gr_clock_recovery_mm_ff | ( | float | omega,
|  | float | gain_omega,
|  | float | mu,
|  | float | gain_mu,
|  | float | omega_relative_limit
| ) | `[protected]`

## Member Function Documentation

void gr_clock_recovery_mm_ff::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) | `[virtual]`

  | Estimate input requirements given output request. Parameters:
  | noutput_items | number of output items to produce
  | ninput_items_required | number of input items required on each input stream
Given a request to product `noutput_items`, estimate the number of data items required on each input stream. The estimate doesn't have to be exact, but should be close. Reimplemented from gr_block.

float gr_clock_recovery_mm_ff::gain_mu | ( |  | ) | const`[inline]`

float gr_clock_recovery_mm_ff::gain_omega | ( |  | ) | const`[inline]`

int gr_clock_recovery_mm_ff::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) | `[virtual]`

  | compute output items from input items Parameters:
  | noutput_items | number of output items to write on each output stream
  | ninput_items | number of input items available on each input stream
  | input_items | vector of pointers to the input items, one entry per input stream
  | output_items | vector of pointers to the output items, one entry per output stream
Returns: number of items actually written to each output stream, or -1 on EOF. It is OK to return a value less than noutput_items. -1 <= return value <= noutput_items general_work must call consume or consume_each to indicate how many items were consumed on each input stream. Implements gr_block.

float gr_clock_recovery_mm_ff::mu | ( |  | ) | const`[inline]`

float gr_clock_recovery_mm_ff::omega | ( |  | ) | const`[inline]`

void gr_clock_recovery_mm_ff::set_gain_mu | ( | float | gain_mu | ) | `[inline]`

void gr_clock_recovery_mm_ff::set_gain_omega | ( | float | gain_omega | ) | `[inline]`

void gr_clock_recovery_mm_ff::set_mu | ( | float | mu | ) | `[inline]`

void gr_clock_recovery_mm_ff::set_omega | ( | float | omega | ) | `[inline]`

## Friends And Related Function Documentation

gr_clock_recovery_mm_ff_sptr gr_make_clock_recovery_mm_ff | ( | float | omega,
|  | float | gain_omega,
|  | float | mu,
|  | float | gain_mu,
|  | float | omega_relative_limit
| ) | `[friend]`

The documentation for this class was generated from the following files:

- gr_clock_recovery_mm_ff.h
- gr_clock_recovery_mm_ff.cc